<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/paper-button/paper-button.html">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="../bower_components/vaadin-material-theme/vaadin-grid.html">
<link rel="import" href="../bower_components/vaadin-grid/vaadin-grid.html">
<link rel="import" href="../bower_components/paper-spinner/paper-spinner-lite.html">
<link rel="import" href="../bower_components/paper-dropdown-menu/paper-dropdown-menu.html">
<link rel="import" href="../bower_components/paper-item/paper-item.html">
<link rel="import" href="../bower_components/paper-listbox/paper-listbox.html">
<link rel="import" href="../bower_components/neon-animation/web-animations.html">

<link rel="import" href="../bower_components/vaadin-grid/vaadin-grid.html">
<link rel="import" href="../bower_components/vaadin-grid/vaadin-grid-sorter.html">
<link rel="import" href="../bower_components/vaadin-grid/vaadin-grid-column-group.html">

<script src="../bower_components/moment/min/moment.min.js"></script>
<link rel="import" href="shared-styles.html">

<dom-module id="summary-page">
  <template>
    <style include="shared-styles">
      :host {
        display: block;

        padding: 10px;
      }
    </style>

      <iron-ajax id="submitme"
      handle-as"json"
      debounce-duration="300"
      on-response="_handleResponse"></iron-ajax>

    <div class="card">
      <h1>Account Summary</h1>
      <div  style="text-align:right">
     <paper-dropdown-menu label="Filter By Transaction Type" on-iron-select="_transactionType">
         <paper-listbox slot="dropdown-content"  selected="{{transactionType}}">
           <paper-item value="default" name="type">Select Transaction Type</paper-item>
           <paper-item value="paytm" name="debit">Paytm</paper-item>
           <paper-item value="onlineTransfer" name="credit">Online Transfer</paper-item>
        </paper-listbox>
    </paper-dropdown-menu>
      </div>
    <div style="margin-top:12px;">
      <vaadin-grid id="grid" aria-label="Basic Binding Example" items="[[transactionData]]">
        <vaadin-grid-column>
          <template class="header">
            <vaadin-grid-sorter path="Stock" direction="asc">Transction Date</vaadin-grid-sorter>
          </template>
          <template>[[item.bookingDateTime]]</template>
        </vaadin-grid-column>
        <vaadin-grid-column>
          <template class="header">
            <vaadin-grid-sorter path="Transaction_Type">Transction Type</vaadin-grid-sorter>
          </template>
          <template>[[item.transactionType]]</template>
        </vaadin-grid-column>
        <vaadin-grid-column>
          <template class="header">
            <vaadin-grid-sorter path="Status">Description</vaadin-grid-sorter>
          </template>
          <template>[[item.description]]</template>
          <!--<template class="footer">Last Name</template>-->
        </vaadin-grid-column>
        <vaadin-grid-column width="150px">
          <template class="header">
            <vaadin-grid-sorter path="Qty">Amount ($)</vaadin-grid-sorter>
          </template>
          <template>[[item.transactionAmount]]</template>
        </vaadin-grid-column> 
        <!--<vaadin-grid-column>     
          <template class="header">
            <vaadin-grid-sorter path="Total_Amt">Total Amount</vaadin-grid-sorter>
          </template>
          <template>[[item.Total_Amt]]</template>
        </vaadin-grid-column>-->
        
      </vaadin-grid>
      </div>
    </div>
  </template>

  <script>
    class Summary extends Polymer.Element {
      static get is() { return 'summary-page'; }
       connectedCallback(){
        super.connectedCallback();
         var ajax = this.$.submitme;
                  ajax.url="src/data.json";
                  ajax.generateRequest();
      }
     static get properties(){
        return{
          bookingDateTime:{
            type:Date,
            value:"",
            notify:true
          },
          transactionType:{
            type:String,
            value:''
          },
          description:{
            type:String,
            value:''
          },
          transactionAmount:{
            type:Number,
            value:''
          }
        }
      }
      _handleResponse(response){
        this.transactionData=response.detail.response.data.transactionDetails;
        console.log(this.transactionData);
      }
      _transactionType(type){       
        var b = type.target.selectedItem.getAttribute('value');
        var ajax = this.$.submitme;
        ajax.url="src/data.json/{{b}}";
      }

     
     
    }

    window.customElements.define(Summary.is, Summary);
  </script>
</dom-module>
